/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ProjectDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ProjectDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ProjectDto
        //private ProjectDto instance;

        public ProjectDtoTests()
        {
            // TODO uncomment below to create an instance of ProjectDto
            //instance = new ProjectDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectDto
        /// </summary>
        [Fact]
        public void ProjectDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ProjectDto
            //Assert.IsType<ProjectDto>(instance);
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }

        /// <summary>
        /// Test the property 'Pid'
        /// </summary>
        [Fact]
        public void PidTest()
        {
            // TODO unit test for the property 'Pid'
        }

        /// <summary>
        /// Test the property 'Name'
        /// </summary>
        [Fact]
        public void NameTest()
        {
            // TODO unit test for the property 'Name'
        }

        /// <summary>
        /// Test the property 'Description'
        /// </summary>
        [Fact]
        public void DescriptionTest()
        {
            // TODO unit test for the property 'Description'
        }

        /// <summary>
        /// Test the property 'StartDate'
        /// </summary>
        [Fact]
        public void StartDateTest()
        {
            // TODO unit test for the property 'StartDate'
        }

        /// <summary>
        /// Test the property 'EndDate'
        /// </summary>
        [Fact]
        public void EndDateTest()
        {
            // TODO unit test for the property 'EndDate'
        }

        /// <summary>
        /// Test the property 'Keywords'
        /// </summary>
        [Fact]
        public void KeywordsTest()
        {
            // TODO unit test for the property 'Keywords'
        }

        /// <summary>
        /// Test the property 'DisplayName'
        /// </summary>
        [Fact]
        public void DisplayNameTest()
        {
            // TODO unit test for the property 'DisplayName'
        }

        /// <summary>
        /// Test the property 'PrincipleInvestigators'
        /// </summary>
        [Fact]
        public void PrincipleInvestigatorsTest()
        {
            // TODO unit test for the property 'PrincipleInvestigators'
        }

        /// <summary>
        /// Test the property 'GrantId'
        /// </summary>
        [Fact]
        public void GrantIdTest()
        {
            // TODO unit test for the property 'GrantId'
        }

        /// <summary>
        /// Test the property 'Visibility'
        /// </summary>
        [Fact]
        public void VisibilityTest()
        {
            // TODO unit test for the property 'Visibility'
        }

        /// <summary>
        /// Test the property 'Disciplines'
        /// </summary>
        [Fact]
        public void DisciplinesTest()
        {
            // TODO unit test for the property 'Disciplines'
        }

        /// <summary>
        /// Test the property 'Organizations'
        /// </summary>
        [Fact]
        public void OrganizationsTest()
        {
            // TODO unit test for the property 'Organizations'
        }

        /// <summary>
        /// Test the property 'Slug'
        /// </summary>
        [Fact]
        public void SlugTest()
        {
            // TODO unit test for the property 'Slug'
        }

        /// <summary>
        /// Test the property 'Creator'
        /// </summary>
        [Fact]
        public void CreatorTest()
        {
            // TODO unit test for the property 'Creator'
        }

        /// <summary>
        /// Test the property 'CreationDate'
        /// </summary>
        [Fact]
        public void CreationDateTest()
        {
            // TODO unit test for the property 'CreationDate'
        }

        /// <summary>
        /// Test the property 'SubProjects'
        /// </summary>
        [Fact]
        public void SubProjectsTest()
        {
            // TODO unit test for the property 'SubProjects'
        }

        /// <summary>
        /// Test the property 'Parent'
        /// </summary>
        [Fact]
        public void ParentTest()
        {
            // TODO unit test for the property 'Parent'
        }
    }
}
